Barth
Netterfield

    kst@omega.astro.utoronto.ca

# Utilização da Linha de Comando e Exemplos

Uma utilização típica do kst é através da linha de comandos para criar gráficos X-Y ou imagens do Z a partir dos ficheiros de dados. O kst consegue ler dados em ASCII ou ficheiros binários compatíveis com o 'readdata'/'dirfile', imagens do FITS, ficheiros do POILib, do netCDF e do HEALPix FITS.

Sinopse da Linha de Comando do &kst;

## kst

Um utilitário de desenho e visualização de dados

As opções são:

    kst opções-Qt opções-KDE opções ficheiro

### Opções

`[ficheiro...]`

  Um ficheiro .kst ou um ou mais ficheiros de dados. Os formatos suportados são as colunas em ASCII, os ficheiros de tramas do BOOMERANG ou os ficheiros BLAST do 'dirfile'. Um ficheiro .kst guarda todas as opções que podem ser definidas através de outras. As seguintes opções podem ser usadas para sobrepor as que estão definidas no ficheiro .kst: `-F ficheiro_dados`, `-n NS`, `-s NS`, `-f F0`, `-a`. As restantes opções não poderão ser sobrepostas. Se alguma opção de sobreposição for indicada, é aplicada a todos os vectores do gráfico.

  Os dados ASCII do 'stdin' podem ser desenhados se incluir o "stdin" na lista `[ficheiro...]`.

`-y Y`

  A origem dos dados do eixo dos Y. Para os ficheiros ASCII, esta é a coluna. Para os ficheiros binários, isto é o nome do campo. Para desenhar várias curvas, este poderá ser indicado várias vezes. Assume-se o mesmo ficheiro de origem, os intervalos de amostragem e os dados do eixo dos X.

`-e E`

  As barras de erros para os dados do eixo dos Y. Para um ficheiro ASCII, refere-se à coluna que contém os dados. Para os ficheiros binários, use o nome do campo. Se forem indicadas várias opções `-y Y`, esta também poderá ser usada várias vezes. Os itens em Y individuais estão associados por ordem a vários itens em E.

`-x X`

  A origem dos dados do eixo dos X. Para os ficheiros ASCII, esta é a coluna. Para os ficheiros binários, isto é o nome do campo. Se esta opção não for indicada, é usado o número de linha no ficheiro. Esta opção só pode ser indicada uma vez.

`-z Z`

  A origem dos dados da matriz em Z (que é apresentada como uma imagem). Para os ficheiros ASCII, esta é a coluna que contém os dados em Z. Para os outros formatos opcionais (HEALPix, imagem do FITS, etc), este é o nome do campo da matriz desejada, como aparece na janela da matriz. Algumas fontes de dados compatíveis com as matrizes permitem também usar um nome alternativo que é o número do campo da matriz desejada. Para desenhar várias matrizes, isto poderá ser indicado várias vezes.

`-p P`

  A origem para o espectro de potência. Para os ficheiros ASCII, esta é a coluna. Para os ficheiros binários, isto é o nome do campo. Para desenhar o espectro de potência de várias curvas, este poderá ser indicado várias vezes. Assume-se o mesmo ficheiro de origem, os intervalos de amostragem e o tamanho dos FFT para todos os Espectros de Potência pedidos na linha de comandos.

`-l P`

  O comprimento da FFT usada na estimativa do espectro de potência é igual a 2^P.

`-h H`

  A origem para os histogramas. Para os ficheiros ASCII, esta é a coluna. Para os ficheiros binários, isto é o nome do campo. Poderão ser definidos vários histogramas a partir da linha de comandos.

`-m NC`

  Usado quando foram definidas várias curvas. Em vez de desenhar todas as curvas no mesmo gráfico, desenha cada uma no seu próprio gráfico.

`-f F0`

  O número de trama (para os ficheiros do 'readdata') ou linha (para os ficheiros ASCII) a partir da qual se começa a ler.

`-n`

  A quantidade de tramas (para os ficheiros do 'readdata') ou linhas (para os ficheiros ASCII) que serão lidas.

`-s NS`

  O número de tramas ou linhas a saltar em cada leitura. Isto é útil quando se lida com ficheiros de dados demasiado grandes, para acelerar a capacidade de resposta e manter a memória, no caso de os dados variarem de forma lenta.

`-a`

  Usado com a opção `-s NS`: em vez de saltar de NS em NS tramas, calcula a sua média. Isto oferece uma combinação de uma filtragem passa-alto com a conservação de memória.

`-F ficheiro_de_dados`

  Usa outro ficheiro para ler os dados de todos os vectores enumerados no ficheiro .kst. Só pode ser usado em conjunto com um ficheiro .kst.

`--print ficheiro_ps`

  Em vez de mostrar o gráfico, exporta a imagem para um ficheiro PostScript e sai. *Nota de ERRO: ainda que não seja aberta nenhuma janela no ecrã, é necessário o acesso ao servidor X à mesma.*

`--png ficheiro_png`

  Em vez de mostrar o gráfico, exporta a imagem para um ficheiro PNG de dimensões 640x480 e sai. *Nota de ERRO: ainda que não seja aberta nenhuma janela no ecrã, é necessário o acesso ao servidor X à mesma.*

### Exemplos de Linha de Comando

Seguem-se vários exemplos de utilizações típicas.

Para desenhar a coluna 1 de um ficheiro (tmp.dat) de dados ASCII:

    kst -y 1
    tmp.dat

Para desenhar as colunas 2, 3 e 4 em relação à coluna 1 de um ficheiro de dados ASCII, num só desenho:

    kst -x 1 -y 2 -y 3 -y 4 tmp.dat

Para desenhar as colunas 2, 3 e 4 em relação à coluna 1 de um ficheiro de dados ASCII, em 3 desenhos, dispostos numa coluna:

    kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

Para desenhar 500 linhas da coluna 2 de um ficheiro ASCII, a começar na linha 100:

    kst -y 2 -f 100 -n 500 tmp.dat

Para desenhar as primeiras 100 000 linhas da coluna 2 de um ficheiro ASCII, calculando a média a cada 100 linhas:

    kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

(A usar o Fonte de Dados opcional HEALPix) Para desenhar os 3 primeiros mapas num ficheiro FITS do HEALPix numa grelha 2x2:

    kst -z 1 -z 2 -z 3 -m 2 exemplo_healpix_sm.fits

(A usar o Fonte de Dados opcional HEALPix) Para desenhar um mapa com um nome de campo específico num ficheiro FITS do HEALPix:

    kst -z "1 - TEMPERATURA (Kelvin)" exemplo_healpix_sm.fits